<script setup>
import { useRollOver } from '../../store/popups';
import ProgBar from '../components/progbar.vue';
import DotView from './dotView.vue';

defineProps(['npcs', 'label']);

const { itemOver } = useRollOver();

</script>

<template>

<div class="npc-group">
	<span class="title" v-if="label">{{ label }}</span>
	<div v-for="p in npcs" :key="p.id">
		<span class="name-span"><span @mouseenter.capture.stop="itemOver($event, p)">{{ p.name.toTitleCase() }}</span>
		<DotView class="inline" mini=true :dots="p.dots" :char="p" /></span>
		<ProgBar class="hp" :value="p.hp.valueOf()" :max="p.hp.max.valueOf()" @mouseenter.capture.stop="itemOver($event, p)" />
	</div>

</div>

</template>

<style scoped>
.name-span {
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
}

.npc-group>div {
	margin: var(--sm-gap);
}

.title {
	font-weight: bold;
	border-bottom: 1px solid var(--separator-color);
}
</style>